# backend/ext/auth_ext.py (опционально, если хочешь инициализировать через factory)
from flask_login import LoginManager
from app.services.auth_service import init_ldap

login_manager = LoginManager()

def init_auth(app):
    login_manager.init_app(app)
    login_manager.login_view = 'auth.login'
    init_ldap(app)